Dependencies.txt could be sorted

Bug #391021 reported by Matt Zimmerman on 2009-06-23
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
apport (Ubuntu)
Low
Matt Zimmerman

Bug Description

Binary package hint: apport

At present, Dependencies.txt seems to be in an arbitrary order (e.g. http://launchpadlibrarian.net/28237391/Dependencies.txt), which makes it difficult to scan visually for a particular package which might be interesting.

Sorting the list would fix this easily.

ProblemType: Bug
ApportLog:

Architecture: i386
CrashReports: 600:0:0:6180:2009-06-16 10:30:18.000000000 +0100:2009-06-16 14:02:36.000000000 +0100:/var/crash/_usr_bin_lsb_release.0.crash
Date: Tue Jun 23 10:05:05 2009
DistroRelease: Ubuntu 9.10
Package: apport 1.3-0ubuntu2
PackageArchitecture: all
ProcEnviron:
 LC_COLLATE=C
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/zsh
ProcVersionSignature: Ubuntu 2.6.30-6.7-generic
SourcePackage: apport
Uname: Linux 2.6.30-6-generic i686

Matt Zimmerman (mdz) wrote :
Changed in apport (Ubuntu):
importance: Undecided → Low
Martin Pitt (pitti) wrote :

I guess "for dep in sorted(dependencies):" in apport/report.py, add_package_info() should do it. Needs testing, of course.

Changed in apport (Ubuntu):
status: New → Triaged

On Tue, Jun 23, 2009 at 09:18:34AM -0000, Martin Pitt wrote:
> I guess "for dep in sorted(dependencies):" in apport/report.py,
> add_package_info() should do it. Needs testing, of course.

I tested this, and it works fine, so I went ahead and committed it to trunk.

--
 - mdz

Martin Pitt (pitti) wrote :

Trunk r1490, thanks Matt!

Changed in apport (Ubuntu):
assignee: nobody → Matt Zimmerman (mdz)
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apport - 1.5-0ubuntu2

---------------
apport (1.5-0ubuntu2) karmic; urgency=low

  * Merge fixes from trunk:
    - packaging-apt-dpkg.py: Fix install_retracing_packages() for pre-0.7.9
      python-apt API.
    - Sort the list of dependencies so it's easier to scan (LP: #391021)

 -- Martin Pitt <email address hidden> Tue, 30 Jun 2009 22:39:18 +0200

Changed in apport (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers